Bug 991478 - NPE in CoyoteAdapter during server shutdown
NPE in CoyoteAdapter during server shutdown
Status: NEW
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity medium
: ---
: EAP 6.4.0
Assigned To: Rémy Maucherat
Radim Hatlapatka
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 09:46 EDT by Ladislav Thon
Modified: 2017-09-12 03:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ladislav Thon 2013-08-02 09:46:35 EDT
In a clustering test, I observed the following exception happening during server shutdown:

10:34:12,373 ERROR [org.apache.catalina.connector] (ajp-perf18/10.16.90.54:8009-22) JBWEB001018: An exception or error occurred in the container during the request processing: java.lang.NullPointerException
 	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:336) [jbossweb-7.2.1.Final-redhat-1.jar:7.2.1.Final-redhat-1]
 	at org.apache.coyote.ajp.AjpProcessor.process(AjpProcessor.java:488) [jbossweb-7.2.1.Final-redhat-1.jar:7.2.1.Final-redhat-1]
 	at org.apache.coyote.ajp.AjpProtocol$AjpConnectionHandler.process(AjpProtocol.java:420) [jbossweb-7.2.1.Final-redhat-1.jar:7.2.1.Final-redhat-1]
 	at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:920) [jbossweb-7.2.1.Final-redhat-1.jar:7.2.1.Final-redhat-1]
 	at java.lang.Thread.run(Thread.java:662) [rt.jar:1.6.0_45]

See the log file: https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/eap-6x-failover-ejb-ejbservlet-shutdown-dist-async/12/console-perf18/
Comment 1 Ladislav Thon 2014-08-07 08:08:31 EDT
Update: this was last seen in EAP 6.3.0.DR2. I don't know if this wasn't fixed in the meantime, but if it wasn't, it's very, very rare.

Note You need to log in before you can comment on or make changes to this bug.